Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltbase.pro	(revision 142)
@@ -3,111 +3,111 @@
 ;------------------------------------------------------------
 ;+
-; NAME:pltbase
-;
-; PURPOSE: surcouche de contour pour tracer un champ eventuellement
-; masque. brique elementaire de plt, pltz et pltt.
-;
-; CATEGORY:un tarce vite fait et/ou delestage de l''ecriture de plt, pltz, pltt
-;
-; CALLING SEQUENCE: pltbase, z2d, x, y, mask,xm, ym, [, levels, colors],
-;
-; INPUTS:
-;        z2d:le tableau a tracer
-;
-;        x et y les axes. vecteurs ou tableaux de meme taille que
-;        z2d. Ce sont les coordonnees de z2d
-;
-;        mask: le tableau qui masque z2d (avec des 0 sur les points a
-;        masquer et des 1 sur les autres). si z2d n'est pas masque
-;        mettre cet argument egale a 1.
-;
-;        xm et ym les axes du mask. vecteurs ou tableaux de meme taille que
-;        mask. Ce sont les coordonnees de mask
-;
-;        levels et colors: (optionnels) les vecteurs qui contiennent
-;        les niveaus et les couleurs necessaires au contour. S''il ne
-;        sont pas donnes on prends 20 niveau entre le min et le max.
-;
-; KEYWORD PARAMETERS:
-;
-;        COLORTRICHAMP : la couleur que l''on veut utiliser pour
-;        dessiner la triangulation qui est utilisee pour faire les
-;        contour du champ
-;
-;        COLORTRIMASK : la couleur que l''on veut utiliser pour
-;        dessiner la triangulation qui est utilisee pour faire les
-;        contour du mask
-;
-;        COAST_COLOR: the color of the coastline.
-;                     defaut value is 0 => black
-;
-;        COAST_THICK: the thickness of the coastline.
-;                     defaut value is 1
-;
-;        COLOR_C: to draw the contour in color instead of in black
-;        with filling in color 
-;
-;        /CONT_NOFILL: activer pour ne pas remplir les points masques
-;        pour les laisser en transparent! 
-;        Rq: on trace qd meme le contour du mask
-;
-;        CONT_COLOR: the color of the continent. defaut value is
+;
+; @file_comments
+; Overlayer contour to trace a field which can be mask. 
+; Elementary brick of plt, pltz et pltt.
+;
+; @categories graphic
+;
+; @param Z2D {in}{required}
+; The table to trace
+;
+; @param X {in}{required}
+; Axis. Vector or array of the same size that z2d. This is the coordinate of z2d on x.
+;
+; @param Y {in}{required}
+; Axis. Vector or array of the same size that z2d. This is the coordinate of z2d on y.
+;
+; @param MASK {in}{required}
+; It is the array who mask z2d (with 0s on points we want to mask and 1s on others). 
+; If z2d is not masked, put this argument equal to 1.
+;
+; @param XM {in}{required}
+; Axis of the mask. Vector or array of the same size that mask. 
+; This is the coordinate of mask on x.
+;
+; @param YM {in}{required}
+; Axis of the mask. Vector or array of the same size that mask. 
+; This is the coordinate of mask on y.
+;
+; @param LEVELS {in}{optional}
+; Vectors which contain levels needed at the contour. 
+; If it is not given, we take 20 levels between the min and the max.
+;  
+; @param COLORS {in}{optional}
+; Vectors which contain colors needed at the contour. 
+; If it is not given, we take 20 levels between the min and the max.
+;
+; @keyword COLORTRICHAMP 
+; The color we want to use to draw the triangulation which is used to make contours of the field.
+;
+; @keyword COLORTRIMASK 
+; The color we want to use to draw the triangulation which is used to make contours of the mask.
+;
+; @keyword COLOR_C 
+; To draw the contour in color instead of in black
+; with filling in color 
+;
+; @keyword /CONT_NOFILL 
+; Activate it not to fill the point mask to let them transparent! 
+; Comment: Nevertheless, we trace mask's contour.
+;
+; @keyword CONT_COLOR 
+; The color of the continent. defaut value is
 ;        (!d.n_colors - 1) < 255 => white
 ;
-;        /DESSTRICHAMP: pour dessiner la triangulation qui est
-;        utilisee pour faire les contour du champ. 
-;
-;        /DESSTRIMASK: pour dessiner la triangulation qui est
-;        utilisee pour faire les contour du mask
-;
-;        /FORPLT: a activer si on veut que le trace des cote soit
-;        realise par tracecote plutot que tracemask.
-;
-;        I_COLORS: un vecteur specifiant la couleur a utiliser pour
-;        tracer les contours. C''est la meme chose que c_colors qui
-;        ajit sur les contours.
-;
-;        MORE: chiffre a donner pour eviter les bug du style:
+; @keyword /DESSTRICHAMP 
+; To draw the triangulation which is used to make field's contours. 
+;
+; @keyword /DESSTRIMASK 
+; To draw the triangulation which is used to make mask's contours.
+; 
+; @keyword /FORPLT 
+; To activate if we want that the drawing of coast be realized by tracecote rather than tracemask.
+;
+; @keyword I_COLORS 
+; It is a vector specifing the colors to use to trace contours. 
+; It is the same thing that c_colors which act on contours.
+;
+; @keyword MORE 
+; Number to give to avoid style's bugs:
 ;  % Out of range subscript encountered: <LONG      Array[38911]>.
 ;  % Execution halted at:  PLTBASE           151
-;             par defaut more=10 si le bug existe tjs, augmenter la
-;             valeur de more! (l''explication et la justification de
-;             cette methode n''ont pas encore de fondements
-;             scientifiques)...
-;         
-;
-;
-;        /NOFILL: pour faire juste les isolignes
-;
-;        /NOCONTOUR: pour faire juste les couleurs
-;
-;        /UNSUR2: pour tarcer une isoligne sur 2
-;
-;        UNLABSUR: entier n. specifant qu''on ne labelle qu''un
-;        contour sur n
-;
-;        CONTOUR: pour etrte utilise depuis plt, pltz ou pltt. cf ces
-;        routines.
-;
-;        _EXTRA: mot cle magique d''idl pour faire passer tous lse
-;        mots cles acceptes par les routines et fonctions utilises ds
-;        ce programme sans les declarer explicitement. 
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;        common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:ds le cas ou z2d, x et y sont des tableaux de meme
-; taille il faut les metre sous forme de vecteur: z2d[*], x[*], y[*].
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       ????
-;                       8/2/2000 check if the tri array is not equal to
-;                       -1. allow contour with out using a triangulation.
+;             By default more=10 If the bug still exist, increase the value of more! 
+; (The explanation and the justification of this method do not have scientific bases yet...).
+;
+; @keyword /NOFILL
+; To make just isolines.
+;
+; @keyword /NOCONTOUR
+; To make just colors.
+;
+; @keyword /UNSUR2 To trace one isoline on two.
+;
+; @keyword UNLABSUR 
+; Is an integer n. specifying we only label one contour on two
+;
+; @keyword CONTOUR 
+; To be used since plt, pltz or pltt. (Have a look on these routines).
+;
+; @keyword _EXTRA 
+; Used to pass your keywords
+;
+; @uses
+; common.pro
+;
+; @restrictions
+; In the case of z2d, x and y are arrays of same size, we hate to put them as vectors: z2d[*], x[*], y[*].
+;
+; @history
+;  Sebastien Masson (smasson@lodyc.jussieu.fr)
+; ????
+; 8/2/2000 check if the tri array is not equal to
+; -1. allow contour with out using a triangulation.
+; 
+; @version
+; $Id$
+;
+; @todo seb L.172 à 173
 ;
 ;-
@@ -145,19 +145,19 @@
 ;---------------------------------------------------------
 ;
-; explication concernant contour. Ce mot cle est active qd on on trace
-; un contour en couleur different de celui en trait noir.
-; si il est active (cas n_elements(contour) NE 0), on passe 2 fois ds pltbase:
-;   1) on trace les couleurs puis on sort c''est le cas:
+; Explanation concerning contour. This keyword is activated when we trace a 
+; colored contour different from the one with black trait.
+; If it is activated (case n_elements(contour) NE 0), we pass 2 time in pltbase:
+;   1) We trace colors then we leave, it is the case:
 ;         n_elements(contour) NE 0 AND n_elements(contour) NE 4)
-;   2) on trace les contour en trait puis les continents c''est le cas 
+;   2) We trace contours in traits then continents, it is the case: 
 ;         n_elements(contour) NE 0 AND n_elements(contour) EQ 4)
 ;
 ;------------------------------------------------------------
-  tempsun = systime(1)          ; pour key_performance
+  tempsun = systime(1)          ; To key_performance
   if n_elements(mask) EQ 0 then mask = 1b
   if n_elements(masknan) EQ 0 then masknan = 1b
   IF total(mask) EQ n_elements(z2d) THEN mask = 1b
 ;----------------------------------------------------------------------
-; si les niveaux et les couleurs ne sont pas donnes
+; If levels and colors aren't given
 ;----------------------------------------------------------------------
   if n_params() EQ 4 then $ 
@@ -168,6 +168,5 @@
     plot, [0], [0], xstyle = 5, ystyle = 5, /nodata, /noerase, title = '', subtitle = ''
 ;----------------------------------------------------------------------
-; si cell_fill fait partit de _extra, on le desactive si il n''est pas
-; egale a 2
+; Is cell_fill is a part of _extra, we desactive it if it is nt equal to 2
 ;----------------------------------------------------------------------
   IF chkstru(ex, 'CELL_FILL') THEN BEGIN 
@@ -176,5 +175,5 @@
   ENDIF ELSE cell_fill = 0      ;
 ;----------------------------------------------------------------------
-; I) remplissage des contours en palette de couleur 
+; I) Filling of contours in palette colors 
 ;----------------------------------------------------------------------
   if NOT keyword_set(more) then more = 10
@@ -200,5 +199,5 @@
   IF chkstru(ex, 'C_COLORS') THEN ex = extractstru(ex, 'C_COLORS')
 ;------------------------------------------------------------
-; II) trace des contours en trait
+; II) Drawing of contours in traits
 ;------------------------------------------------------------
   if n_elements(contour) EQ 4 OR n_elements(contour) EQ 0 THEN BEGIN
@@ -215,13 +214,13 @@
     ENDIF   
 ;
-; on ne passe pas si on doit faire des contours differents...
-; ds le cas on unsur2 est active on reduit levels
+; We do not pass if we have to make differents contours...
+; In the case of unsur2 is activated, we reduce levels
     if NOT keyword_set(nocontour) then begin
       IF keyword_set(unsur2) THEN levels = levels[where(zeroun(n_elements(levels) ) eq 1)]
-; unlabsur est active?  C_LABEL est passe via _EXTRA?
+; Is unlabsur activated?  Does C_LABEL passed via _EXTRA?
       if keyword_set(unlabsur) THEN IF chkstru(ex, 'C_LABELS') THEN $
         ex.C_LABELS = 1-((indgen(n_elements(ex.C_LABELS)) MOD unlabsur) < 1)
 ;
-; pour ne pas filler qd cell_fill est impose...
+; Not to fill when cell_fill is imposed...
       IF chkstru(ex, 'CELL_FILL') THEN ex.CELL_FILL = 0
 ;
@@ -248,5 +247,5 @@
     ENDIF
 ;----------------------------------------------------------------------
-; III) remplissage des continents de couleur
+; III) Filling of colored continents.
 ;----------------------------------------------------------------------
     IF chkstru(ex, 'CELL_FILL') THEN ex.CELL_FILL = cell_fill < 1
@@ -255,7 +254,6 @@
     IF NOT keyword_set(cont_color) THEN cont_color = (!d.n_colors-1) <  255    
 ;
-; si il y a des points a nan 
-; on trace en blanc les points a nan avant de dessiner les cotes avec
-; un trait.
+; If there is points at NaN 
+; We trace points in white at NaN bafore drawing coasts with a trait.
 ;
     if keyword_set(trinan) THEN BEGIN
@@ -273,8 +271,8 @@
     ENDIF
 ;
-; remplissage des continents
+; Filling of continents
 ;
     if keyword_set(realcont) then if realcont EQ 1 then mask = 1b
-    if n_elements(mask) NE 1 then BEGIN ; si mask=1 on saute.
+    if n_elements(mask) NE 1 then BEGIN ; If mask=1 we gap it.
 ;
       if NOT keyword_set(cont_nofill) then BEGIN
@@ -308,5 +306,5 @@
       ENDIF                     ; NOT keyword_set(cont_nofill)
 ;------------------------------------------------------------
-; IV) trace les cotes en trait
+; IV) Trace coast in traits
 ;------------------------------------------------------------
       case 1 of
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/pltsc.pro	(revision 142)
@@ -1,2 +1,7 @@
+;+
+;
+; @todo seb
+;
+;-
 PRO  pltsc,tab1,tab2, min1, max1, min2, max2, varname2, BOXZOOM = boxzoom, $
            COL1D=col1d,STY1D=sty1d,OV1D=ov1d, _extra = ex
@@ -18,5 +23,5 @@
 ;--------------------------------------------------------------
 
-; Rq: on ne reinitialise pas qd on rapelle pltsc
+; Comment: We do not reinitializate when we call back pltsc
    if NOT keyword_set(ov1d) then reinitplt
    ;; reduce data xyzt domain
@@ -74,15 +79,15 @@
 
       if n_elements(ex) NE 0 then BEGIN 
-; pour avoir un cadre de la couleur 0 et trace une ligne a y=0
+; To have a 0 colored frame and trace a line at y=0
          if (where(tag_names(ex) EQ 'COLOR'))[0] NE -1 then ex.COLOR = 0
          if (where(tag_names(ex) EQ 'LINESTYLE'))[0] NE -1 then ex.LINESTYLE= 0
        ENDIF
        plot, !x.range, [0, 0], /noerase, /nodata, xstyle = 1, ystyle = 1, _extra = ex
-; trace une ligne a x=0
+; trace a line at x=0
       plot, [0, 0], !y.range, /noerase, /nodata, title = '', subtitle = '', _extra = ex
    ENDIF ELSE oplot,xx,yy,color=col1d,linestyle=sty1d,thick=2, _extra = ex
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-; 3eme partie: impression eventuelle
+; 3rd part: Possible print
 ;------------------------------------------------------------
 ;------------------------------------------------------------
